Skip to:
Content
Pages
Categories
Search
Top
Bottom

Upgrade from 1.1.3 broke a lot

  • Avatar of Seobrien
    Seobrien
    Participant

    @seobrien

    I realize I broke some of the cardinal rules of upgrading but just didn’t put thought to the fact that so much has changed. Now I’m on 1.2.5.2 and I can’t figure out where to start rectifying the breakages.

    Appreciate ANY direction to help me track things down:
    WP 3.0.1
    http://boruma.com/
    Note as an indicator of the problems: http://boruma.com/groups

    I was using some of Nicola Greco’s BPDEV plugins that I believe are now deprecated with the features in core BP. Accurate?

    To name a few bugs just to help people searching find this:
    Fatal error: Call to undefined function bp_group_pagination_count() in /home/borumaco/public_html/wp-content/themes/bp-sn-parent/groups/group-loop.php on line 10

    Fatal error: Call to undefined function bp_group_has_news() in /home/borumaco/public_html/wp-content/themes/bp-sn-parent/groups/single/home.php on line 52

    No right rail on the blogs: http://boruma.com/heritage

    Thanks everyone

Viewing 6 replies - 1 through 6 (of 6 total)
  • Avatar of Jeff Sayre
    Jeff Sayre
    Participant

    @jeffsayre

    Before performing such a major upgrade (both WordPress and BuddyPress), you should backup your database. Next, it is always best to be safe than sorry. Deactivate all plugins. This means BuddyPress too, as it is a WordPress plugin. Once WP is up and running, it is time to upgrade BuddyPress. You should read the additional details here: http://codex.buddypress.org/getting-started/upgrading-from-10x/ See the “Upgrading from 1.1.x to 1.2.5″ section, paying special attention to the notes on the theme files.

    Finally, you need to upgrade any BP-dependent plugins before reactivating them. If any of these have not been upgraded to work with at least BP 1.2.5, then they should not be reactivated. Nicola’s plugins are very outdated and will not work with the current version of BP.

    Avatar of John James Jacoby
    John James Jacoby
    Keymaster

    @johnjamesjacoby

    Sounds to me like the theme needs to be upgraded too, as it’s trying to use the old news functions.

    Avatar of Seobrien
    Seobrien
    Participant

    @seobrien

    Awesome Jeff, thank you that was very helpful

    John, can you clarify the use of old news functions – the theme is upgraded; everything is now at its most recent version

    Avatar of hatiro
    HaTiRo
    Participant

    @hatiro

    Having finally caught a break to spend time upgrading I’m wanting to go from 1.1.3 – 2.5? but the codex instruction page highlighted in this thread says page not found. Has the url changed or has it been deleted???

    If anyone can help that would be great.

    Avatar of hatiro
    HaTiRo
    Participant

    @hatiro

    Thanks Paul. Much appreciated.

Viewing 6 replies - 1 through 6 (of 6 total)

The topic ‘Upgrade from 1.1.3 broke a lot’ is closed to new replies.